Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19
RH9 can't add development tools?
Results 1 to 8 of 8

Thread: RH9 can't add development tools?

Hybrid View

  1. #1

    RH9 can't add development tools?

    I installed RH9 and forgot to check the development tools during the install.

    I went to add/remove applications. Selected Development Tools and update.

    It then complained about Krb5-libs 1.2.7-10 not installed
    and openssl 0.9.7a-2 not installed

    I attempted to install each of these rpms and the system complained about newer versions already installed.

    How do I get the compiler loaded so I can compile qmail.

    Thanks for any advice.

  2. #2

    Re:RH9 can't add development tools?

    hello,

    check out the rpm PET

    i am not sure why it would not be giving these errors, i installed everything at the same time...

    the command would probably be helpful

    rpm -Uvh --nodeps packagename.rpm Have it ignore dependcy errors. This can be handy when you have one package you know is installed but RPM does not have it in its database.

  3. #3
    Moderator
    Good Guru
    Schotty's Avatar
    Join Date
    Jul 2001
    Location
    Milwaukee, WI
    Posts
    5,760

    Re:RH9 can't add development tools?

    [quote author=cgchris99 link=board=1;threadid=6963;start=0#64726 date=1052240440]
    I installed RH9 and forgot to check the development tools during the install.

    I went to add/remove applications. Selected Development Tools and update.

    It then complained about Krb5-libs 1.2.7-10 not installed
    and openssl 0.9.7a-2 not installed

    I attempted to install each of these rpms and the system complained about newer versions already installed.

    How do I get the compiler loaded so I can compile qmail.

    Thanks for any advice.

    [/quote]

    hehe, if you want to install and have RH do all of the rpm dep resolution for ya, use up2date.

    up2date kerberos

    updates kerberos to the latest RH approved rpm.

  4. #4

    Re:RH9 can't add development tools?

    I ran Up2Date and it says no updates needed

  5. #5
    Moderator
    Good Guru
    Schotty's Avatar
    Join Date
    Jul 2001
    Location
    Milwaukee, WI
    Posts
    5,760

    Re:RH9 can't add development tools?

    sorry for being unlcear, my fault I assumed you knew what the hell I was really trying to get at :-\

    open up a terrminal and run 'up2date nameofpackage' and it will install it and all deps. So assuming that you need to install evolution mail client, you can do a

    Code:
    [schotty@drunkenmaster schotty]$ up2date evolution
     
    Fetching package list for channel: redhat-linux-i386-9...
    ########################################
     
    Fetching Obsoletes list for channel: redhat-linux-i386-9...
    ########################################
     
    Fetching rpm headers...
    ########################################
     
    The following packages you requested are already updated:
    evolution
    [schotty@drunkenmaster schotty]$
    Obviously if are using the latest one RH approves of, you cant. BTW, what is the name of the package that you are trying to install that is ginving you kerberos and ssl dependency issues.

  6. #6

    Re:RH9 can't add development tools?

    I am trying to install the development tools

  7. #7
    Moderator
    Good Guru
    Schotty's Avatar
    Join Date
    Jul 2001
    Location
    Milwaukee, WI
    Posts
    5,760

    Re:RH9 can't add development tools?

    [quote author=cgchris99 link=board=1;threadid=6963;start=0#64739 date=1052246092]
    I am trying to install the development tools
    [/quote]

    well thats not very specific, there could be 30 different packages there (or more even). Lemme see what packages are defined in that list, and the easiest method to install them ALL.

  8. #8

    Re:RH9 can't add development tools?

    I booted off the floppy and managed to get the gcc compiler loaded.

    Thanks for your help

Similar Threads

  1. Software development using QT3 or QT4
    By lsatenstein in forum Linux - Software, Applications & Programming
    Replies: 0
    Last Post: 09-11-2011, 12:24 PM
  2. Arrested Development
    By countach44 in forum General Chat
    Replies: 1
    Last Post: 11-15-2005, 12:15 PM
  3. Tools, gotta have more tools.
    By Fatal Error in forum General Chat
    Replies: 0
    Last Post: 04-14-2005, 11:10 PM
  4. cross platform development
    By in forum Linux - Software, Applications & Programming
    Replies: 18
    Last Post: 10-16-2004, 02:29 AM
  5. QT3 Development Files
    By Ashcrow in forum Linux - Software, Applications & Programming
    Replies: 6
    Last Post: 08-10-2002, 06:28 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •